> For the complete documentation index, see [llms.txt](https://developer.collibra.com/llms.txt). Markdown versions of documentation pages are available by appending `.md` to page URLs; this page is available as [Markdown](https://developer.collibra.com/api/references/console/dgc-logger.md).

# Dgc Logger

## POST /dgcLog

> Adjust the level of the given DGC logger

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/dgcLog":{"post":{"operationId":"setLoggerLevel","requestBody":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/SetLoggerLevelRequest"}}},"description":"the logger identified by its name and the dgc managed service id"},"responses":{"default":{"content":{"application/json":{"schema":{"$ref":"#/components/schemas/DGCManagedServiceModel"}}},"description":"default response"}},"summary":"Adjust the level of the given DGC logger","tags":["dgc-logger"]}}},"components":{"schemas":{"SetLoggerLevelRequest":{"type":"object","properties":{"level":{"type":"string","enum":["OFF","ERROR","WARN","INFO","DEBUG","TRACE","ALL"]},"loggerName":{"type":"string"},"managedServiceId":{"type":"string","format":"uuid"}}},"DGCManagedServiceModel":{"type":"object","properties":{"createdDate":{"type":"string","format":"date-time"},"errorMessage":{"type":"string"},"id":{"type":"string","format":"uuid"},"modifiedDate":{"type":"string","format":"date-time"},"nodeId":{"type":"string","format":"uuid"},"optionalDependencies":{"type":"array","items":{"type":"string","enum":["REPOSITORY","SPARK","DGC","SEARCH"]}},"requiredDependencies":{"type":"array","items":{"type":"string","enum":["REPOSITORY","SPARK","DGC","SEARCH"]}},"status":{"type":"string","enum":["STARTING","RUNNING","STOPPING","STOPPED","ERROR","UNKNOWN"]},"type":{"type":"string","enum":["REPOSITORY","SPARK","DGC","SEARCH"]}}}}}}
```

## GET /dgcLog/{managedServiceId}/{logger}

> Retrieve the level of the given DGC logger

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/dgcLog/{managedServiceId}/{logger}":{"get":{"operationId":"getLoggerLevel","parameters":[{"in":"path","name":"managedServiceId","required":true,"schema":{"type":"string","format":"uuid"}},{"in":"path","name":"logger","required":true,"schema":{"type":"string"}}],"responses":{"default":{"content":{"application/json":{"schema":{"type":"string","enum":["OFF","ERROR","WARN","INFO","DEBUG","TRACE","ALL"]}}},"description":"default response"}},"summary":"Retrieve the level of the given DGC logger","tags":["dgc-logger"]}}}}
```

## DELETE /dgcLog/{managedServiceId}/{logger}

> Remove the given DGC logger

```json
{"openapi":"3.0.3","info":{"title":"Collibra Management Console","version":"v1"},"servers":[{"url":"/rest"}],"paths":{"/dgcLog/{managedServiceId}/{logger}":{"delete":{"operationId":"deleteLoggerLevel","parameters":[{"in":"path","name":"managedServiceId","required":true,"schema":{"type":"string","format":"uuid"}},{"in":"path","name":"logger","required":true,"schema":{"type":"string"}}],"responses":{"default":{"content":{"application/json":{"schema":{"type":"string","enum":["OFF","ERROR","WARN","INFO","DEBUG","TRACE","ALL"]}}},"description":"default response"}},"summary":"Remove the given DGC logger","tags":["dgc-logger"]}}}}
```
